Nutzer

Mehrere Nutzer per ID abrufen

GET /v1/users/batch reads 1 per id Guthaben

Profile für bis zu 50 Konten per numerischer ID in einem Aufruf. Kostet 1 Guthabeneinheit je angefragter ID.

Abfrageparameter

Query-ParameterTypBedeutung
ids *string (1–50 ids)Kommagetrennte numerische Konto-IDs, 1–50

Antwort

items enthält die gefundenen Profile in der Reihenfolge der Anfrage; missing listet die IDs, die zu keinem Konto aufgelöst wurden.

Status: 200, 400, 429, 502

Anfrage
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \
  -H "Authorization: Bearer xsf_your_key"
Antwort · 200 / 400
{
  "items": [
    {
      "id": "1652541",
      "name": "Reuters",
      "screen_name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "location": "Around the world",
      "url": "https://t.co/…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "pinned": null,
      "verified": true,
      "protected": false,
      "followers": 26367695,
      "following": 1195,
      "tweets": 1395836
    },
    {
      "id": "11348282",
      "name": "NASA",
      "screen_name": "NASA",
      "bio": "Making the seemingly impossible, possible. ✨",
      "location": "Pale Blue Dot",
      "…": "…"
    }
  ],
  "missing": [
    "999999999999999999"
  ]
}